
# If not defined, includes only svg icons
%define _enable_png_creation --enable-png-creation

Name:	 tango-icon-theme
Version: 0.7.2
Release: 1 

Summary: Tango Icon Theme 
Group:	 User Interface/Desktops
# http://creativecommons.org/licenses/by-sa/2.5/
License: Creative Commons Attribution Share-Alike
URL:	 http://tango-project.org/Tango_Icon_Library
Source0: http://tango-project.org/releases/tango-icon-theme-0.7.2.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

# hacks to speed up noarch build
%define debug_package %{nil}
%define __spec_install_post %{nil}
AutoReq: no

%define theme Tango

Patch1: tango-icon-theme-0.6.6-pkgconfig.patch
# without patch, BR: pkgconfig >= 0.19
BuildRequires: pkgconfig >= 0.14

BuildRequires: intltool
%if "%{?_enable_png_creation:1}" == "1"
%if "%{?fedora}" > "4"
BuildRequires: librsvg2 >= 2.12.3
%else
# ksvgtopng
BuildRequires: kdelibs
%endif
%endif
BuildRequires: icon-naming-utils >= 0.7.2
BuildRequires: ImageMagick-devel ImageMagick


%description
%{summary}.


%prep
%setup -q

%patch1 -p1 -b .pkgconfig


%build
%configure %{?_enable_png_creation}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT 


%post
touch --no-create %{_datadir}/icons/%{theme} 2> /dev/null ||:
gtk-update-icon-cache -q %{_datadir}/icons/%{theme} 2> /dev/null ||:

%postun
touch --no-create %{_datadir}/icons/${icon_theme} 2> /dev/null ||:
gtk-update-icon-cache -q %{_datadir}/icons/%{theme} 2> /dev/null ||:


%files
%defattr(-,root,root,-)
%doc COPYING README 
%{_datadir}/icons/%{theme}/


%changelog
* Wed Feb 01 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.6.6-1
- 0.6.6

